#=============================================================================
#          This is a Watcom makefile to build SDLIMAGE.DLL for OS/2
#
#
#=============================================================================

dllname=SDLIMAGE

zlibfiles=adler32.obj compress.obj crc32.obj deflate.obj gzio.obj infback.obj inffast.obj inflate.obj inftrees.obj trees.obj uncompr.obj zutil.obj
libpngfiles=png.obj pngerror.obj pnggccrd.obj pngget.obj pngmem.obj pngpread.obj pngread.obj pngrio.obj pngrtran.obj pngrutil.obj pngset.obj pngtest.obj pngtrans.obj pngvcrd.obj pngwio.obj pngwrite.obj pngwtran.obj pngwutil.obj
libjpgfiles=jcapimin.obj jcapistd.obj jccoefct.obj jccolor.obj jcdctmgr.obj jchuff.obj &
        jcinit.obj jcmainct.obj jcmarker.obj jcmaster.obj jcomapi.obj jcparam.obj &
        jcphuff.obj jcprepct.obj jcsample.obj jctrans.obj jdapimin.obj jdapistd.obj &
        jdatadst.obj jdatasrc.obj jdcoefct.obj jdcolor.obj jddctmgr.obj jdhuff.obj &
        jdinput.obj jdmainct.obj jdmarker.obj jdmaster.obj jdmerge.obj jdphuff.obj &
        jdpostct.obj jdsample.obj jdtrans.obj jerror.obj jfdctflt.obj jfdctfst.obj &
        jfdctint.obj jidctflt.obj jidctfst.obj jidctint.obj jidctred.obj jquant1.obj &
        jquant2.obj jutils.obj jmemmgr.obj jmemnobs.obj
tifffiles=fax3sm_winnt.obj &
        tif_aux.obj &
        tif_close.obj &
        tif_codec.obj &
        tif_color.obj &
        tif_compress.obj &
        tif_dir.obj &
        tif_dirinfo.obj &
        tif_dirread.obj &
        tif_dirwrite.obj &
        tif_dumpmode.obj &
        tif_error.obj &
        tif_extension.obj &
        tif_fax3.obj &
        tif_flush.obj &
        tif_getimage.obj &
        tif_jpeg.obj &
        tif_luv.obj &
        tif_lzw.obj &
        tif_msdos.obj &
        tif_next.obj &
        tif_ojpeg.obj &
        tif_open.obj &
        tif_packbits.obj &
        tif_pixarlog.obj &
        tif_predict.obj &
        tif_print.obj &
        tif_read.obj &
        tif_strip.obj &
        tif_swab.obj &
        tif_thunder.obj &
        tif_tile.obj &
        tif_version.obj &
        tif_warning.obj &
        tif_write.obj &
        tif_zip.obj

object_files= IMG.obj IMG_bmp.obj IMG_gif.obj IMG_jpg.obj IMG_lbm.obj IMG_pcx.obj IMG_png.obj IMG_pnm.obj IMG_tga.obj IMG_tif.obj IMG_xcf.obj IMG_xpm.obj IMG_xv.obj IMG_xxx.obj $(zlibfiles) $(libpngfiles) $(libjpgfiles) $(tifffiles)

# Extra stuffs to pass to C compiler:
ExtraCFlags=-DLOAD_BMP -DLOAD_GIF -DLOAD_JPG -DLOAD_LBM -DLOAD_PCX -DLOAD_PNG -DLOAD_PNM -DLOAD_XCF -DLOAD_XPM -DLOAD_XV -DLOAD_XXX -DLOAD_TGA -DLOAD_TIF

#
#==============================================================================
#
# Create debug build or not?
#debug_build=defined

SDLImageFlags=-DBUILD_SDL

#
#==============================================================================
#

!ifdef debug_build
debugflags = -d2 -dDEBUG_BUILD
!else
debugflags =
!endif

cflags = -zq $(debugflags) -bd -bm -bt=OS2 -5s -fpi -sg -otexan -wx -ei $(SDLImageFlags) $(ExtraCFlags)

.extensions:
.extensions: .lib .dll .obj .c .cpp

.c: .;zlib123;jpeg-6b;lpng1210;tiff-v3.6.1\libtiff

.c.obj : .AUTODEPEND
    wcc386 $[* $(cflags)

.cpp.obj : .AUTODEPEND
    wpp386 $[* $(cflags)

.before
    @set include=$(%os2tk)\h;$(%include);$(%sdlhome)\include;.\;.\jpeg-6b;.\lpng1210;.\zlib123;.\tiff-v3.6.1\libtiff;

all : $(dllname).dll $(dllname).lib

$(dllname).dll : $(object_files)
    wlink @$(dllname)

$(dllname).lib : $(dllname).dll
    implib $(dllname).lib $(dllname).dll

clean : .SYMBOLIC
    @if exist $(dllname).dll del $(dllname).dll
    @if exist *.lib del *.lib
    @if exist *.obj del *.obj
    @if exist *.map del *.map
    @if exist *.res del *.res
    @if exist *.lst del *.lst
