#=============================================================================
#          This is a Watcom makefile to build SDLTTF.DLL for OS/2
#
#
#=============================================================================

dllname=SDLTTF

FREETYPE_BASE_DIR=freetype-2.1.9

freetypefiles=autofit.obj &
autohint.obj &
ftapi.obj &
ftbase.obj &
ftbbox.obj &
ftbdf.obj &
ftdebug.obj &
ftglyph.obj &
ftinit.obj &
ftmm.obj &
ftpfr.obj &
ftstroke.obj &
ftsynth.obj &
ftsystem.obj &
fttype1.obj &
ftwinfnt.obj &
ftxf86.obj &
bdf.obj &
ftcache.obj &
cff.obj &
type1cid.obj &
ftgzip.obj &
ftlzw.obj &
pcf.obj &
pfr.obj &
psaux.obj &
pshinter.obj &
psnames.obj &
raster.obj &
sfnt.obj &
smooth.obj &
truetype.obj &
type1.obj &
type42.obj &
winfnt.obj


object_files= SDL_ttf.obj $(freetypefiles)

# Extra stuffs to pass to C compiler:
ExtraCFlags=

#
#==============================================================================
#
# Create debug build or not?
#debug_build=defined

SDLTTFFlags=-DBUILD_SDL

#
#==============================================================================
#

!ifdef debug_build
debugflags = -d2 -dDEBUG_BUILD
!else
debugflags =
!endif

cflags = -zq $(debugflags) -bd -bm -bt=OS2 -5s -fpi -sg -otexan -wx -ei $(SDLTTFFlags) $(ExtraCFlags)

.extensions:
.extensions: .lib .dll .obj .c .cpp

.c: $(FREETYPE_BASE_DIR)\src\autofit;&
$(FREETYPE_BASE_DIR)\src\autohint;&
$(FREETYPE_BASE_DIR)\src\base;&
$(FREETYPE_BASE_DIR)\src\bdf;&
$(FREETYPE_BASE_DIR)\src\cache;&
$(FREETYPE_BASE_DIR)\src\cff;&
$(FREETYPE_BASE_DIR)\src\cid;&
$(FREETYPE_BASE_DIR)\src\gzip;&
$(FREETYPE_BASE_DIR)\src\lzw;&
$(FREETYPE_BASE_DIR)\src\otvalid;&
$(FREETYPE_BASE_DIR)\src\pcf;&
$(FREETYPE_BASE_DIR)\src\pfr;&
$(FREETYPE_BASE_DIR)\src\psaux;&
$(FREETYPE_BASE_DIR)\src\pshinter;&
$(FREETYPE_BASE_DIR)\src\psnames;&
$(FREETYPE_BASE_DIR)\src\raster;&
$(FREETYPE_BASE_DIR)\src\sfnt;&
$(FREETYPE_BASE_DIR)\src\smooth;&
$(FREETYPE_BASE_DIR)\src\truetype;&
$(FREETYPE_BASE_DIR)\src\type1;&
$(FREETYPE_BASE_DIR)\src\type42;&
$(FREETYPE_BASE_DIR)\src\winfonts;


.c.obj : .AUTODEPEND
    wcc386 $[* $(cflags)

.cpp.obj : .AUTODEPEND
    wpp386 $[* $(cflags)

.before
    set include=$(%include);$(%sdlhome)\include;.\;$(FREETYPE_BASE_DIR)\include;

all : $(dllname).dll $(dllname).lib

$(dllname).dll : $(object_files)
    wlink @$(dllname)

$(dllname).lib : $(dllname).dll
    implib $(dllname).lib $(dllname).dll

clean : .SYMBOLIC
    @if exist $(dllname).dll del $(dllname).dll
    @if exist *.lib del *.lib
    @if exist *.obj del *.obj
    @if exist *.map del *.map
    @if exist *.res del *.res
    @if exist *.lst del *.lst
